//---------------------------------------------------------------------------

#ifndef ProxyFramesH
#define ProxyFramesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include <ImgList.hpp>
#include <ExtCtrls.hpp>

#include "..\QS\QSFrames.h"
#include "Global2.h"
#include "QSproxiesVer.h"
class TProxiesFrame;
//---------------------------------------------------------------------------

TQSFrame* PACKAGE __fastcall OpenProxiesFrame(TForm *Owner, TPanel *Parent, const AnsiString &Path,
   TGlobal *global);
void PACKAGE __fastcall DeleteProxiesFrame(TQSFrame *Frame);

class TProxiesFrame : public TQSFrame
{
__published:	// IDE-managed Components
        TToolButton *ToolButton1;
        TToolButton *ToolButton2;
        TToolButton *NewBtn;
        TToolButton *OpenBtn;
        TToolButton *PrintBtn;
        TToolButton *DeleteBtn;
        TToolButton *ToolButton9;
        TToolButton *ToolButton10;
        TToolButton *ToolButton11;
        TToolButton *ToolButton12;
        TToolButton *ToolButton13;
        TToolButton *ToolButton14;
        TToolButton *ViewBtn;
        TListView *ListView;
        TMenuItem *ProxiesMenu;
        TMenuItem *ProxiesNewItem;
        TMenuItem *ProxiesOpenItem;
        TMenuItem *N2;
        TMenuItem *ProxiesDeleteItem;
        TToolButton *ToolButton8;
        TMenuItem *N3;
        TMenuItem *ProxiesSelectAllItem;
        TMenuItem *ProxiesPrintItem;
        TPopupMenu *PopProxyMenu;
        TMenuItem *PopProxyNewItem;
        TMenuItem *PopProxyOpenItem;
        TMenuItem *PopProxySelectAllItem;
        TMenuItem *PopProxyPrintItem;
        TMenuItem *N5;
        TMenuItem *PopProxyDeleteItem;
        TMenuItem *N4;
        void __fastcall ProxiesNewItemClick(TObject *Sender);
        void __fastcall ProxiesMenuClick(TObject *Sender);
        void __fastcall ProxiesOpenItemClick(TObject *Sender);
        void __fastcall ProxiesDeleteItemClick(TObject *Sender);
        void __fastcall ListViewClick(TObject *Sender);
        void __fastcall ProxiesPrintItemClick(TObject *Sender);
        void __fastcall PopProxyMenuPopup(TObject *Sender);
        void __fastcall ProxiesSelectAllItemClick(TObject *Sender);
        void __fastcall ListViewChange(TObject *Sender, TListItem *Item,
          TItemChange Change);
private:	// User declarations
public:		// User declarations
        __fastcall virtual TProxiesFrame(TComponent* Owner);
        __fastcall virtual TProxiesFrame(TComponent *Owner, TPanel *Parent, const AnsiString &Path);
        __fastcall virtual~TProxiesFrame();

        void __fastcall NewProxy();
        void __fastcall OpenSelectedProxy();
        void __fastcall OpenProxy(AnsiString Proxy);
        void __fastcall DeleteSelectedProxies();
        void __fastcall DeleteProxy(AnsiString Proxy);

        int  __fastcall DataTypeImageIndex(TDataType Type);
        AnsiString __fastcall IndexStr(TListItem *Item);
        void __fastcall LoadIndex(AnsiString path);
        void __fastcall SetProxyButtons();
};
//---------------------------------------------------------------------------
extern PACKAGE TProxiesFrame *ProxiesFrame;
//---------------------------------------------------------------------------
#endif
